//#region ../../node_modules/d3-interpolate/src/transform/decompose.js
var e = 180 / Math.PI, t = {
	translateX: 0,
	translateY: 0,
	rotate: 0,
	skewX: 0,
	scaleX: 1,
	scaleY: 1
};
function n(t, n, r, i, a, o) {
	var s, c, l;
	return (s = Math.sqrt(t * t + n * n)) && (t /= s, n /= s), (l = t * r + n * i) && (r -= t * l, i -= n * l), (c = Math.sqrt(r * r + i * i)) && (r /= c, i /= c, l /= c), t * i < n * r && (t = -t, n = -n, l = -l, s = -s), {
		translateX: a,
		translateY: o,
		rotate: Math.atan2(n, t) * e,
		skewX: Math.atan(l) * e,
		scaleX: s,
		scaleY: c
	};
}
//#endregion
export { n as default, t as identity };
